Automic Workload Automation

Expand all | Collapse all

Automation Engine Upgrade from V10 to V11.2 - Error

John O'Mullane02-22-2016 04:10 PM

  • 1.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 02-22-2016 11:57 AM
    Hi all,
    We are currently trying to upgrade our Automation Engine from V10 to V11.2.
    We are not overwriting an existing install and have a totally separate DB and Unix Server.

    I think we are almost there but getting 1 final frustrating error, 
    (See below)

    We have been working with the support team for the past couple of months with no luck.
    They haven't seen this before.

    Opening this community discussion on the off chance someone here has seen this before...

    rytyk4w62gc2.pnghttps://us.v-cdn.net/5019921/uploads/editor/pk/rytyk4w62gc2.png" width="423">


  • 2.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 02-22-2016 03:01 PM
    So the upgrade works fine (DB Load) - you just can't login via the UI?


  • 3.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 02-22-2016 04:10 PM
    Correct 


  • 4.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 02-22-2016 04:24 PM
    Is the UI installed to the same workstation as the V10 UI?  Are you using 32-bit Java?  What version of Java?

    I assume you have tried completely re-installing?  You are using the image for V11 SP2 HF1 correct?  

    Never seen this before.  Turning on traces with Support doesn't give you any other indicator?

    No security issues on your workstation where you need to run as Administrator or anything like that?


  • 5.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 02-23-2016 06:13 AM
    Yes, Installed on same laptop where we successfully launch V10, We are using 64-bit Java, version 6. I downloaded Version 7 today as I know 6 is quite old at this stage. Hasn't made any different though.
    Yes, we tried complete re-install. 

    Support haven't asked for Trace to be turned on yet, which is strange.
    We have webex with them sometime this week to see if we can get to bottom of this.




  • 6.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 02-23-2016 08:46 AM
    I thought it was preferred to use 64-bit for the utilities and 32-bit for the UI.  

    Keep us posted - this sounds like a strange one.  If I think of anything else I will post.


  • 7.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 02-23-2016 10:28 AM
    JohnO'Mullane I looked at the Load log in the ticket with support and it looks like there was an issue with the  DB.Load due to the characterset setting.

    20160215/012328.012 - U00029108 UCUDB: SQL_ERROR    Database handles  DB-HENV: fa1610  DB-HDBC: fdf908
    20160215/012328.012 - U00003591 UCUDB - DB error info: OPC: 'OCIStmtFetch' Return code: 'ERROR'
    20160215/012328.012 - U00003592 UCUDB - Status: '' Native error: '932' Msg: 'ORA-00932: inconsistent datatypes: expected CLOB got CHAR'
    20160215/012328.012 - U00003590 UCUDB - DB error: 'OCIStmtFetch', 'ERROR   ', '', 'ORA-00932: inconsistent datatypes: expected CLOB got CHAR'
    20160215/012328.012 - U00003517 UCUDB: Invalid DB-STMT IND: '0' at OPC: 'CLST'
    20160215/012328.012 - U00033122 Error occurred in function <GetVarValue>
    MsgNr: <-1> MsgInsert: <> Additional info: <Check if var is available for current client>

    Looks like Support is on top of it, so I'm confident they can resolve the issue soon.


  • 8.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 02-23-2016 10:52 AM
    Hi Jennifer,

    I work with John and have been working on this issue. As per Supports recommendation, we set the NLS_LENGTH_SEMANTICS to CHAR at the DB level and rebuilt the schema. The error you have identifed no longer appears in the Load log and has been replaced with:

    20160222/030531.166 - U00029108 UCUDB: SQL_ERROR    Database handles  DB-HENV: 1907610  DB-HDBC: 1945908
    20160222/030531.166 - U00003591 UCUDB - DB error info: OPC: 'OCIStmtExecute' Return code: 'ERROR'
    20160222/030531.166 - U00003592 UCUDB - Status: '' Native error: '942' Msg: 'ORA-00942: table or view does not exist'
    20160222/030531.166 - U00003594 UCUDB Ret: '3590' opcode: 'SLCT' SQL Stmnt: 'Select OH_Idnr from OH where OH_Name = ? and OH_Client = ?'
    20160222/030531.166 - U00003590 UCUDB - DB error: 'OCIStmtExecute', 'ERROR   ', '', 'ORA-00942: table or view does not exist'
    20160222/030531.166 - U00033122 Error occurred in function <CheckVar>
    MsgNr: <3590> MsgInsert: <OCIStmtExecute> Additional info: <ERROR   >
    20160222/030531.166 - U00003590 UCUDB - DB error: 'OCIStmtExecute', 'ERROR   ', '', 'ORA-00942: table or view does not exist'
    20160222/030531.166 - U00033122 Error occurred in function <GetVarValue>
    MsgNr: <0> MsgInsert: <> Additional info: <Error return code CheckVar function>

    The outcome, however, is still the same. The CP and WP start without issue but the UI cannot connect. The complete log is in the Support ticket.



  • 9.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 02-25-2016 12:20 PM
    EoinCollins1303836 I looked briefly at a ucybdbld log where it looks to be loading the license.

    The Oracle Client parameters look correct:
    U00003535 DB INFO: 'OCI_NLS_CHARACTER_SET          = WE8ISO8859P15'
    U00003535 DB INFO: 'NLS_LENGTH_SEMANTICS           = CHAR'

    But the Database parameters appear to be different than the Oracle Client parameters.
    The Oracle Client settings and Database settings need to be the same.

    The Database looks to be set to:
    U00003535 DB INFO: 'NLS_CHARACTERSET               = AL32UTF8'
    U00003535 DB INFO: 'NLS_LENGTH_SEMANTICS           = BYTE'

    AL32UTF8 is a multibyte characterset and WE8ISO8859P15 is single byte characterset.
    I'm pretty sure this is causing the issue.

    I would create a new database with the characterset WE8MSWIN1252 (which is a superset of WE8ISO8859P15 and WE8ISO8859P1).

    Here's the link to the documentation about setting up the Oracle DB.



  • 10.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 02-26-2016 04:35 AM
    Jennifer_Jinhong_34

    Hi Jennifer,

    Thank you for the update. Do you know if Version 10 and Version 11 have different database requirements? I can get Version 10 working on this database, without any issues. Including loading the very same licence file that the above log refers to.

    When I follow the very same steps, using the very same ini files (unaltered) to load Version 11 on the database, we get the connection issue.

    Thank you,
    Eoin


  • 11.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 02-26-2016 02:46 PM
    hmmm, strange.
    I started working with the product since v6 and the basic database configuration requirements have remained the same.

    Are you upgrading a v10 database or installing a fresh v11.2 instance and then importing the objects?



  • 12.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 02-29-2016 05:55 AM
    We've tried both. We have no Automic instance on the DB I am using, so I have tried:
    1 - create v10 database and upgrade
    2 - fresh install of v11

    In both cases, as soon as the upgrade/install of v11 is done, we cannot connect via the UI.


  • 13.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 02-29-2016 09:14 PM
    Do you happen to have the initial DB.Load log from when you did the fresh install of v11?
    That's the first place I would want to start in isolating the issue.  When I troubleshoot my installations, I try to take out as many factors as possible and break it down to basic pieces.

    If you don't have the log and end up doing a fresh install of v11 again, I'd be happy to take a look at the DB.Load log.


  • 14.  Automation Engine Upgrade from V10 to V11.2 - Error

    Posted 03-01-2016 06:14 AM
    Hi Jennifer_Jinhong_34 ,

    I have just attached a zip of a DB Load from earlier today. It is for a clean install of v11, which I did to verify that the issue is not with conflicting versions in my install dirs.
    The issue has not been resolved.

    Thank you,
    Eoin